/etc/init.d/pulseaudio doesn't have a status option

Bug #298299 reported by Shirish Agarwal on 2008-11-15
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: pulseaudio

Hi all,
 Looking at pulseaudio in /etc/init.d/pulseaudio I find there isn't a status option to know whether pulseaudio is running (in the background or not) .

$ /etc/init.d/pulseaudio
force-reload force-stop reload restart start stop

The only way to know for a user is then to do a ps -aux | grep pulseaudio which is much harder for newbies

$ ps -aux | grep pulseaudio
Warning: bad ps syntax, perhaps a bogus '-'? See http://procps.sf.net/faq.html
shirish 6533 0.4 0.5 39344 6136 ? S<sl Nov14 5:16 /usr/bin/pulseaudio -D --log-target=syslog
shirish 6537 0.0 0.2 7552 2540 ? S Nov14 0:00 /usr/lib/pulseaudio/pulse/gconf-helper
shirish 15498 0.0 0.0 3268 776 pts/5 S+ 12:21 0:00 grep pulseaudio

Comments and suggestions to the same are welcome.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
Package: pulseaudio 0.9.10-2ubuntu9
ProcEnviron:
 SHELL=/bin/bash
 PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_IN
SourcePackage: pulseaudio
Uname: Linux 2.6.27-7-generic i686

Shirish Agarwal (shirishag75) wrote :

indeed there is no status option there

Changed in pulseaudio:
status: New → Confirmed
Daniel T Chen (crimsun) wrote :

Such an option really would only be useful for servers (e.g., LTSP+Edubuntu) that run a system-wide PulseAudio daemon instance. For Ubuntu desktops, such an option doesn't really provide any useful information if multiple users are logged in, as all users will have pulseaudio daemons running.

Changed in pulseaudio:
importance: Undecided → Wishlist
Daniel T Chen (crimsun) on 2009-04-01
Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.14-0ubuntu17

---------------
pulseaudio (1:0.9.14-0ubuntu17) jaunty; urgency=low

  [ Daniel T Chen ]
  * debian/pulseaudio.init:
    - Actually create /var/run/pulse, and make handling of /restart
      more robust (LP #317921)
    - Add /status check for system-wide daemon instance
      (LP: #298299)
  * Backport from upstream git HEAD:
    - 0046_ignore_hal_no_such_cap.patch,
    - 0047_pick_up_all_cards.patch (LP: #353807),
    - 0048_fix_stuck_prebuf.patch (LP: #355825)

  [ Luke Yelavich ]
  * debian/control: Drop recommends from the pulseaudio-module-x11 package. if
    they were dropped previously, they were re-added somehow, so lets get rid
    of them once and for all.

 -- Luke Yelavich <email address hidden> Tue, 07 Apr 2009 16:51:59 +1000

Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers